# ComponentArtifactsResult

interface ComponentArtifactsResult : ComponentResult

The result of successfully resolving a component with a set of artifacts.

#### Since

2.0

## Functions

getArtifacts
Link copied to clipboard
abstract fun getArtifacts(type: Class<out Artifact>): Set<ArtifactResult>
Returns the artifacts of the specified type that belong to this component.
getArtifacts
Link copied to clipboard
inline fun ComponentArtifactsResult.getArtifacts(type: KClass<out Artifact>): Set<ArtifactResult>

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.api.artifacts.result.ComponentArtifactsResult.getArtifacts.

getId
Link copied to clipboard
abstract fun getId(): ComponentIdentifier